6.0.0-git
2019-04-21

[#8644] When tasks submitted through Kontact the due date gets lost
Summary When tasks submitted through Kontact the due date gets lost
Queue Nag
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester bugs.horde.org (at) sjau (dot) ch
Created 2009-10-15 (3475 days ago)
Due
Updated 2010-01-13 (3385 days ago)
Assigned 2009-10-15 (3475 days ago)
Resolved 2009-12-15 (3414 days ago)
Milestone
Patch No

History
2010-01-03 17:49:22 felix (dot) leimbach (at) gmx (dot) net Comment #14 Reply to this comment
A couple of comments below someone reported:
"The completion % from akonadi isn't  properly transmitted to horde"

I'm experiencing the same bug and opened a separate ticket: bug 8814
2009-12-15 11:14:17 Jan Schneider State ⇒ Resolved
 
2009-12-04 16:20:01 Jan Schneider Comment #13 Reply to this comment
Now even if *not* using Akonadi?
2009-12-04 16:00:57 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #12 Reply to this comment
Ping?
Seems to work now fine. Thx for the effort :)
2009-12-04 15:41:20 Jan Schneider Comment #11 Reply to this comment
Does the task added through "Calendar in Remote File" show up in the 
database? If yes, which fields haven't been imported correctly?
Ping?
2009-10-26 14:35:17 Jan Schneider Comment #10 Reply to this comment
I think this belongs also here: The completion % from akonadi isn't
properly transmitted to horde.
Please create a new ticket for that.


2009-10-26 14:34:54 Jan Schneider Comment #9 Reply to this comment
Does the task added through "Calendar in Remote File" show up in the 
database? If yes, which fields haven't been imported correctly?
2009-10-19 19:28:59 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #8 Reply to this comment
Hello



I think this belongs also here: The completion % from akonadi isn't 
properly transmitted to horde. In Kontact I can mark things as 
completed but nothing happens on the horde-end.
2009-10-15 17:33:14 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #7 Reply to this comment
Correction:



It seems that adding a task now through Akonadi works just fine. 
However adding it through the Kontact calendar in remote file thing 
makes not appear anything in Horde.



For me it's fine if it just all works through Akonadi.
2009-10-15 17:29:37 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #6 Reply to this comment
Well, it sort of works.



If I add a task with a due date through



(1) Calendar in Remote File (Provides access to a calendar in a remote 
file using KDE's network framework KIO) --> 
http://www.domain.com/horde/rpc.php/nag/USER/USER.ics

then the task appears now in the calendar with the due date. However 
it does not appear in the tasks list



(2) Akonadi "ICal Calendar File" --> 
webdav://www.domain.com/horde/rpc.php/nag/USER/USER.ics

then the task will be added to the task list and it also displays a 
due date in the tasks list. However there is no entry in the calendar 
shown although the tasks are selected to show in the calendar also.



In Kontact itself everything seems to work just fine.
2009-10-15 16:23:58 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Feedback
Reply to this comment
Please try what I committed.
2009-10-15 09:51:03 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #2 Reply to this comment
Sorry, for the akonadi source I altered the "http" into "webdav".
2009-10-15 09:49:35 bugs (dot) horde (dot) org (at) sjau (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ When tasks submitted through Kontact the due date gets lost
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have a current Kontact install (Version 4.3.2) and run Horde 
(without Kolab) on a server. According to yunosh I did install webdav 
on the server so that I can access the calendar and tasks directly 
from Kontact.



Today I now also setup an Akonadi source for the calendar and tasks. I 
tried to then to create a task and it works fine. However when I try 
to create in Kontact a task with a due date then Horde "forgets" about 
it.



It does not matter if I try to use directly the URL in the Kontact 
remote file setup like 
http://www.domain.com/horde/rpc.php/nag/USER/USER.ics or whether I 
create an akonadi source like 
http://www.domain.com/horde/rpc.php/nag/USER/USER.ics. In both cases 
Horde will not display a due date.



On the other hand, if I create a task in Horde with a due date then it 
appears fine in Kontact.



I download the .ics file from horde and also copied the one created by 
akonadi. Below you have the different results:



-------------

Akonadi

-------------

BEGIN:VTODO

DTSTAMP:20091015T091337Z

ORGANIZER;CN="sjau":MAILTO:user@domain.com

CREATED:20091015T091234Z

UID:libkcal-1934965265.1008

LAST-MODIFIED:20091015T091234Z

SUMMARY:Test Akonadi 3

PRIORITY:5

DUE;VALUE=DATE:20091031

PERCENT-COMPLETE:0

END:VTODO





-------------

Horde

-------------

BEGIN:VTODO

UID:libkcal-1934965265.1008

ORGANIZER:MAILTO:user@domain.com

SUMMARY:Test Akonadi 3

PRIORITY:5

STATUS:NEEDS-ACTION

CREATED:20091015T091403Z

LAST-MODIFIED:20091015T092122Z

END:VTODO

Saved Queries